#
# spec file for package zathura-plugin-djvu
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define realname zathura-djvu
Name:           zathura-plugin-djvu
Version:        0.2.9
Release:        lp152.1.1
Summary:        DjVu support for zathura using the djvulibre library
License:        Zlib
URL:            https://pwmt.org/projects/zathura-djvu/
Source:         https://pwmt.org/projects/zathura-djvu/download/%{realname}-%{version}.tar.xz
BuildRequires:  meson >= 0.43
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(girara-gtk3)
BuildRequires:  pkgconfig(zathura)
Requires:       zathura
Provides:       zathura-djvu-plugin

%description
The zathura-djvu plugin adds DjVu support to zathura by using the djvulibre library.

%prep
%setup -q -n %{realname}-%{version}

%build
%meson
%meson_build

%install
%meson_install
find %{buildroot} -name '*.desktop' -delete -print

%files -n %{name}
%license LICENSE
%doc AUTHORS
%dir %{_libdir}/zathura
%{_libdir}/zathura/libdjvu.so
%{_datadir}/metainfo/org.pwmt.zathura-djvu.metainfo.xml

%changelog
* Tue Feb 11 2020 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.2.9
  * Fix crash on search without results
* Wed Aug  8 2018 jengelh@inai.de
- Use noun phrase in summary.
- Remove unnecessary ldconfig calls for plugins.
* Sat May 26 2018 mimi.vx@gmail.com
- update to 0.2.8
  * use meson build
  * Adapt to new plugin interface
* Fri Jan 26 2018 mimi.vx@gmail.com
- update to 0.2.6
  * adapt to new plugin interface
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 0.2.5
  * Advertise URL support
* Fri Nov 21 2014 mimi.vx@gmail.com
- add requires zathura
* Sun Nov 16 2014 mimi.vx@gmail.com
- rename to zathura-plugin-djvu
* Tue Oct 28 2014 mimi.vx@gmail.com
- change license to Zlib
* Mon Oct 27 2014 mimi.vx@gmail.com
- SFLAGS=:: to get debuginfo
* Thu Oct 23 2014 mimi.vx@gmail.com
- initial commit of zathura djvu plugin
